/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* File: vsync_typedef.h
*    V-Sync signal of display
*
* - $Version: $ (=WINDOW_SURFACES_VERSION)
* - $ModuleRevision: {Masters}\WindowSurfaces\RZ_NoEx\10_RStyle $
* - $Rev: $
* - $Date: 2015-10-27T16:12:51+09:00 $
******************************************************************************/

#ifndef  VSYNC_TYPEDEF_H
#define  VSYNC_TYPEDEF_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "r_typedefs.h"
#include  "r_ospl_typedef.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Macro definitions
******************************************************************************/

/***********************************************************************
* Macro: R_V_SYNC_CHANNEL_COUNT
*    VDC5 channel count
************************************************************************/
enum {
    R_V_SYNC_CHANNEL_COUNT = 2
};


/******************************************************************************
Typedef definitions
******************************************************************************/

/***********************************************************************
* Type: r_v_sync_interrupt_line_t
************************************************************************/
typedef uint_fast32_t  r_v_sync_interrupt_line_t;
#define  R_V_SYNC_INTERRUPT_LINE_V_LINE  0x00000001u


/***********************************************************************
* Type: r_v_sync_interrupt_lines_t
************************************************************************/
typedef bit_flags_fast32_t /*<r_v_sync_interrupt_line_t>*/  r_v_sync_interrupt_lines_t;


/***********************************************************************
* Macro: R_V_SYNC_INTERRUPT_LINE_ALL
*    All bits of <r_v_sync_interrupt_lines_t>
************************************************************************/
#define  R_V_SYNC_INTERRUPT_LINE_ALL  ( R_V_SYNC_INTERRUPT_LINE_V_LINE )


/***********************************************************************
* Type: r_v_sync_async_status_t
************************************************************************/
typedef struct st_r_ospl_async_status_t  r_v_sync_async_status_t;


/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
/* In "vsync.h" */

#ifdef __cplusplus
}  /* extern "C" */
#endif /* __cplusplus */

#endif
