/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File: r_ospl_unrecoverable.c
*    Unrecoverable State. For RZ/A1.
*
* - $Version: $ (=R_OSPL_VERSION)
* - $ModuleRevision: {Masters}\OSPL\ALL_DriverForRelease\24_RStyled $
* - $Rev: $
* - $Date: 2017-07-21T18:43:56+09:00 $
******************************************************************************/

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "cpu.h"
#include  "r_ospl.h"

#if  R_OSPL_BASE_ERROR_HANDLING_CODE  ||  R_OSPL_FIT_BSP_CODE


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/
#if ! R_OSPL_STATIC_ANALYZING_CODE
#define  IS( x )  ( x )
#endif

/******************************************************************************
Imported global variables and functions (from other files)
******************************************************************************/

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/

/******************************************************************************
Private global variables and functions
******************************************************************************/


/***********************************************************************
* Implement: R_OSPL_RaiseUnrecoverable
************************************************************************/
#if  R_OSPL_BASE_ERROR_HANDLING_CODE
void  R_OSPL_RaiseUnrecoverable( errnum_t const  e )
{
#if  R_OSPL_BASE_INTERRUPT_CODE
    bool_t    was_all_enabled;  /* = false; */ /* QAC 3197 */
#elif  R_OSPL_FIT_BSP_CODE
#endif
    /* ->QAC 3204 */
    volatile  bool_t  is_loop = true;
    /* <-QAC 3204 */


#if  R_OSPL_BASE_INTERRUPT_CODE
    was_all_enabled = R_OSPL_DisableAllInterrupt();
#elif  R_OSPL_FIT_BSP_CODE
    R_BSP_InterruptsDisable();
#endif

#if  R_OSPL_DEBUG_TOOL
    R_DebugBreak( NULL, e );
#endif


    while ( IS( is_loop ) )
    {
        /* Infinite Loop. Set "is_loop" by the debugger */
    }


#if  R_OSPL_BASE_INTERRUPT_CODE
    if ( IS( was_all_enabled ) )
    {
        R_OSPL_EnableAllInterrupt();
    }
#elif  R_OSPL_FIT_BSP_CODE
#endif
}
#endif


#endif
