/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: r_dmac_rm_pl.h
*    Direct Memory Access Controller (DMAC) - Porting Layer.
*
* - $Version: $ (=PFV_VERSION)
* - $ModuleRevision: {Masters}\PFV_DMAC\PFV_DMAC\23_RStyled $
* - $Rev: $
* - $Date: 2017-08-24T18:32:45+09:00 $
************************************************************************/

#ifndef R_DMAC_RM_PL_H
#define R_DMAC_RM_PL_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "r_dmac_rm.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
void      R_DMAC_RM_SetDefaultAsync( r_ospl_async_t* Async,  r_ospl_async_type_t AsyncType );
errnum_t  R_DMAC_RM_OnInitialize( int_fast32_t ChannelNum );
errnum_t  R_DMAC_RM_OnFinalize( int_fast32_t ChannelNum, errnum_t e );
errnum_t  R_DMAC_RM_SetInterruptCallbackCaller( int_fast32_t ChannelNum,
        const r_ospl_caller_t* Caller );
void      R_DMAC_RM_OnEnableInterrupt( int_fast32_t ChannelNum, dmac_interrupt_lines_t Enables );
void      R_DMAC_RM_OnDisableInterrupt( int_fast32_t ChannelNum, dmac_interrupt_lines_t Disables1 );
errnum_t  R_DMAC_RM_OnInterruptDefault( const r_ospl_interrupt_t* InterruptSource,
                                        const r_ospl_caller_t* Caller );

/* For integrating driver */
bool_t    R_DMAC_RM_I_LOCK_Replace( int_fast32_t const  dmac_channel,
                                    void* const  i_lock,  const r_ospl_i_lock_vtable_t* const  i_lock_v_table );
void      R_DMAC_RM_EnableInterrupt( int_fast32_t const  dmac_channel );
bool_t    R_DMAC_RM_DisableInterrupt( int_fast32_t const  dmac_channel );


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _R_DMAC_RM_PL_H */

