/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: r_pfv_pl.c
*    Pixel Format Converter (PFV) Sample Driver. OS Porting Layer.
*
* - $Version: $ (=PFV_VERSION)
* - $ModuleRevision: {Masters}\PFV_DMAC\PFV_DMAC\23_RStyled $
* - $Rev: $
* - $Date: 2017-08-24T18:32:46+09:00 $
************************************************************************/

#ifndef R_PFV_PL_H
#define R_PFV_PL_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "r_pfv.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
/* "const" is for QAC 3227 */

void      R_Userdef_PFV_SetDefaultAsync( r_ospl_async_t* const  ref_Async,  r_ospl_async_type_t in_AsyncType );
errnum_t  R_Userdef_PFV_OnInitialize( int_fast32_t const  in_PFV_Channel );
errnum_t  R_Userdef_PFV_OnFinalize( int_fast32_t const  in_PFV_Channel,  errnum_t  e );
errnum_t  R_Userdef_PFV_SetInterruptCallbackCaller( int_fast32_t const  in_PFV_Channel,
        const r_ospl_caller_t* const  in_Caller );
void      R_Userdef_PFV_OnEnableInterrupt( int_fast32_t const  in_PFV_Channel,  pfv_interrupt_lines_t const  in_Enables );
void      R_Userdef_PFV_OnDisableInterrupt( int_fast32_t const  in_PFV_Channel,   pfv_interrupt_lines_t const  in_Disables1 );
errnum_t  R_Userdef_PFV_OnInterruptDefault( const r_ospl_interrupt_t* const  in_InterruptSource,
        const r_ospl_caller_t* const  in_Caller );

errnum_t  R_Userdef_PFV_DMAC_SetDefaultConfig( pfv_dmac_config_t* const  in_out_Config );
errnum_t  R_Userdef_PFV_SetDefaultConfig( pfv_config_t* const  in_out_Config );
errnum_t  R_Userdef_PFV_DMAC_GetInterruptUnit( const r_ospl_interrupt_t* const  in_InterruptSource,
        pfv_dmac_interrupt_unit_t* const  out_Unit );
#ifdef  DMAC_BIT_COUNT_T_DEFINED
errnum_t  R_Userdef_PFV_GetDMA_BitCount(
    uintptr_t const  in_InputBufferStartAddress,
    size_t    const  in_InputBufferSize,
    uintptr_t const  in_OutputBufferStartAddress,
    size_t    const  in_OutputBufferSize,
    pfv_dma_bit_count_t* const  out_Count );
#endif

/* For integrating driver */
bool_t    R_PFV_DMAC_I_LOCK_Replace( int_fast32_t const  in_PFV_Channel,
                                     void* const  in_ILock,  const r_ospl_i_lock_vtable_t* const  in_ILockVTable );
void      R_PFV_EnableInterrupt( int_fast32_t const  in_PFV_Channel );
bool_t    R_PFV_DisableInterrupt( int_fast32_t const  in_PFV_Channel );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* R_PFV_PL_H */

