/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: r_ospl_typedef_1.h
*    Part of "r_ospl_typedef.h". For mutual reference.
*
* - $Version: $ (=R_OSPL_VERSION)
* - $ModuleRevision: {Masters}\OSPL\ALL_Driver_parent\27_RStyled $
* - $Rev: $
* - $Date: 2017-08-29T10:34:43+09:00 $
************************************************************************/

#ifndef R_OSPL_TYPEDEF_1_H
#define R_OSPL_TYPEDEF_1_H


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "r_ospl_config.h"
#include  <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/***********************************************************************
* Type: errnum_t
*    Error number
************************************************************************/
#if  R_OSPL_BASE_ERROR_HANDLING_CODE
typedef int_fast32_t   errnum_t;
#endif


/***********************************************************************
* Type: bool8_t
*    Boolean type in 8 bit variable. This is not C99.
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint8_t  bool8_t;
#endif


/***********************************************************************
* Type: bool16_t
*    Boolean type in 16 bit variable. This is not C99.
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint16_t  bool16_t;
#endif


/***********************************************************************
* Type: bool32_t
*    Boolean type in 32 bit variable. This is not C99.
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint32_t  bool32_t;
#endif


/***********************************************************************
* Type: bit_flags_fast32_t
*    Bit flags as "uint_fast32_t"
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint_fast32_t  bit_flags_fast32_t;
#endif


/***********************************************************************
* Type: bit_flags32_t
*    Bit flags as "uint32_t"
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint32_t  bit_flags32_t;
#endif


/***********************************************************************
* Type: bit_flags16_t
*    Bit flags as "uint16_t"
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint16_t  bit_flags16_t;
#endif


/***********************************************************************
* Type: bit_flags8_t
*    Bit flags as "uint8_t"
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint8_t  bit_flags8_t;
#endif


/***********************************************************************
* Type: byte_t
*    Byte type
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
typedef uint8_t  byte_t;
#endif


/***********************************************************************
* Type: ssize_t
*    Signed size type. This is a POSIX specification.
************************************************************************/
#if  R_OSPL_BASIC_TYPES_CODE
#if  ! ( \
	( defined( R_OSPL_FOR_MBED )  &&  defined( __GNUC__ )  &&  ! defined( __CC_ARM ) ) || \
	( defined( R_OSPL_FOR_RZ_A1_BSP ) /* posix_types.h */ ) \
	)
typedef int  ssize_t;
#endif
#endif


/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
/* In "r_ospl.h" */


/***********************************************************************
* End of File:
************************************************************************/
#ifdef __cplusplus
}  /* extern "C" */
#endif /* __cplusplus */

#endif /* R_OSPL_TYPEDEF_1_H */

