/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: r_dmac_rm.h
*    Direct Memory Access Controller (DMAC) - Register Mode Sample Driver.
*
* - $Version: $ (=PFV_VERSION)
* - $ModuleRevision: {Masters}\PFV_DMAC\PFV_DMAC\23_RStyled $
* - $Rev: $
* - $Date: 2017-08-24T18:32:45+09:00 $
************************************************************************/

#ifndef R_DMAC_RM_H
#define R_DMAC_RM_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "r_dmac_rm_user.h"
#include  "r_dmac_rm_typedef.h"
#include  "r_ospl.h"
#include  "clib_drivers_typedef.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
/* "const" is for QAC 3227 */

errnum_t  R_DMAC_RM_Initialize( int_fast32_t const  dmac_channel );
errnum_t  R_DMAC_RM_InitializeEx( int_fast32_t  dmac_channel, dmac_rm_config_t* in_out_Config );
errnum_t  R_DMAC_RM_Finalize( int_fast32_t const  dmac_channel, errnum_t e );
errnum_t  R_DMAC_RM_LockChannel( int_fast32_t const  dmac_channel, int_fast32_t* out_ChannelNum );
errnum_t  R_DMAC_RM_UnlockChannel( int_fast32_t const  dmac_channel, errnum_t e );

errnum_t  R_DMAC_RM_SetSharedConfiguration( int_fast32_t const  dmac_channel,
        dmac_shared_config_t* const  config );
errnum_t  R_DMAC_RM_TransferAsRegisterMode( int_fast32_t const  dmac_channel,
        dmac_register_mode_config_t* const  config );
errnum_t  R_DMAC_RM_StartAsRegisterMode( int_fast32_t const  dmac_channel,
        dmac_register_mode_config_t* const  config,  r_ospl_async_t* const  Async );
errnum_t  R_DMAC_RM_StopAsRegisterMode( int_fast32_t const  dmac_channel );

errnum_t  R_DMAC_RM_GetAsyncStatus( int_fast32_t const  dmac_channel,
                                    const dmac_rm_async_status_t** const  out_Status );

errnum_t  R_DMAC_RM_STATIC_GetID_FromInterruptID( bsp_int_src_t const  interrupt_id,
        int_fast32_t* const  out_dmac_channel );
errnum_t  R_DMAC_RM_STATIC_GetInterruptID( int_fast32_t const  dmac_channel,
        bsp_int_src_t* const  out_interrupt_id );
errnum_t  R_DMAC_RM_STATIC_GetDMA_BitCountSymbol( int_fast32_t const  bit_count,
        dmac_bit_count_t* const  out_symbol );

#ifndef R_OSPL_NDEBUG
errnum_t  R_DMAC_RM_STATIC_PrintRegisters( int_fast32_t const  dmac_channel );
#endif

/* For interrupt callback */
errnum_t  R_DMAC_RM_OnInterrupting( const r_ospl_interrupt_t* const  Interrupt );
errnum_t  R_DMAC_RM_OnInterrupted( int_fast32_t const  dmac_channel );

#ifdef __cplusplus
}  /* End of extern "C" */
#endif /* __cplusplus */

#endif
