/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: VRAM.c
*
* - $Rev: $
* - $Date: 2017-06-23T15:49:48+09:00 $
************************************************************************/

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "use_list.h"
#ifdef  USE_LIST_WINDOW_SURFACES
#include  "r_typedefs.h"
#include  "r_ospl.h"
#include  "VRAM.h"


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Imported global variables and functions (from other files)
******************************************************************************/

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/

/******************************************************************************
Private global variables and functions
******************************************************************************/

/***********************************************************************
* Variable: gs_FrameBufferMemory
************************************************************************/
#ifdef _SH
#pragma section  _VRAM
#endif
R_OSPL_ALIGNMENT( 64,  /* 64 is for JCU */
R_OSPL_SECTION_FOR_ZERO_INIT( "VRAM",
static uint8_t gs_FrameBufferMemory[ 0x00400000 ] ));
#ifdef _SH
#pragma section
#endif


/***********************************************************************
* Implement: R_SAMPLE_GetVRAM
************************************************************************/
errnum_t  R_SAMPLE_GetVRAM( void* /*<type**>*/ const  out_Address,  size_t* const  out_Size )
{
	errnum_t          e;
	static uint8_t*   address;
	static size_t     memory_size;

	IF_DQ( out_Address == NULL ) { e=E_OTHERS; goto fin; }
	IF_DQ( out_Size    == NULL ) { e=E_OTHERS; goto fin; }

	if ( address == NULL ) {
		address = gs_FrameBufferMemory;
		memory_size = sizeof( gs_FrameBufferMemory );
	}
	*(uint8_t**) out_Address = address;
	*out_Size = memory_size;

	e=0;
fin:
	return  e;
}


#endif  /* USE_LIST_WINDOW_SURFACES */
