/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: r_dmac_rm_internal.h
*    Direct Memory Access Controller (DMAC) - Register Mode Sample Driver.
*
* - $Version: $ (=PFV_VERSION)
* - $ModuleRevision: {Masters}\PFV_DMAC\PFV_DMAC\23_RStyled $
* - $Rev: $
* - $Date: 2017-08-24T18:32:45+09:00 $
************************************************************************/

#ifndef R_DMAC_RM_INTERNAL_H
#define R_DMAC_RM_INTERNAL_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "r_typedefs.h"
#include  "iodefine.h"
#include  "r_dmac_rm_typedef.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/***********************************************************************
* Structure: dmars_mask_shift_t
************************************************************************/
typedef struct st_dmars_mask_shift_t  dmars_mask_shift_t;
struct st_dmars_mask_shift_t
{
    uint32_t      mask_MID;
    int_fast32_t  shift_MID;
    uint32_t      mask_RID;
    int_fast32_t  shift_RID;
};


/***********************************************************************
* Structure: r_dmac_rm_channel_t
************************************************************************/
typedef struct st_r_dmac_rm_channel_t  r_dmac_rm_channel_t;
typedef struct st_r_dmac_rm_i_lock_t   r_dmac_rm_i_lock_t;
struct st_r_dmac_rm_channel_t
{
    dmac_rm_async_status_t           async_status;
    r_ospl_caller_t                  interrupt_callback_caller;
    bool_t                           is_i_lock_master;
    r_dmac_rm_i_lock_t*              i_lock;
    const r_ospl_i_lock_vtable_t*    i_lock_v_table;
};


/***********************************************************************
* Structure: r_dmac_rm_i_lock_t
************************************************************************/
struct st_r_dmac_rm_i_lock_t
{
    bool_t                   is_lock;
    int_fast32_t             channel_num;
    bool_t                   is_requested_finalize;
};


/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/
errnum_t  DMAC_RM_STATIC_GetResouceRegisterSet( int_fast32_t const  dmac_channel,
        struct st_dmars_mm** const  out_reg_set,
        const dmars_mask_shift_t** const  out_mask_shift );
r_dmac_rm_channel_t*  R_DMAC_RM_STATIC_GetChanelContexts(void);
void  R_DMAC_RM_SetDefaultConfig_Sub( dmac_register_mode_config_t* const  config );
errnum_t  R_DMAC_RM_GetRegisterValues_Sub( dmac_register_mode_config_t* const  config,
        int_fast32_t const  dmac_channel,
        uint32_t*  out_CHCFG_n,  uint32_t*  out_CHITVL_n,  uint32_t*  out_CHEXT_n );
errnum_t  R_DMAC_RM_GetDMARS_Values_Sub( dmac_register_mode_config_t* const  config,
        const dmars_mask_shift_t*  mask_shift_DMARS,
        uint32_t*  in_out_DMARS );


#ifdef __cplusplus
}  /* End of extern "C" */
#endif /* __cplusplus */

#endif
